# CMxCommon Class

Namespace: `ArchestrA.Toolkit`

CMxCommon is derived from CMxType and provides the default implementation for all non-array types.

**Syntax**

```csharp
public abstract class CMxCommon : CMxType
```

## CMxCommon Property

### DefaultValue Property

Provides a property to hold the default value.

**Syntax**

```csharp
public object defaultValue;
```

**Returns**

object

## CMxCommon Constructors

### CMxCommon Constructor

Provides a default constructor.

**Syntax**

```csharp
CMxCommon();
```

### CMxCommon Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxCommon(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds attribute reference.
